<?php


namespace App\Repositories;

use App\Services\TencentImMessage;
use Dcat\Admin\Grid;
use Illuminate\Pagination\LengthAwarePaginator;

class ImMessage
{
    /**
     * 查询表格数据
     *
     * @param Grid\Model $model
     * @return LengthAwarePaginator
     */
    public function get(Grid\Model $model)
    {
        $currentPage = $model->getCurrentPage();
        $perPage = $model->getPerPage();

        $data =new TencentImMessage();
        $res = $data->getroammsg(1,1064);

       return $model->makePaginator('',$res);
    }
}
